DocValuesMultiRangeQuery.SortedNumericStabbingBuilder (Lucene 10.5.0 sandbox API)
Description: declaration: package: org.apache.lucene.sandbox.search, class: DocValuesMultiRangeQuery, class: SortedNumericStabbingBuilder

Package org.apache.lucene.sandbox.search

# Class DocValuesMultiRangeQuery.SortedNumericStabbingBuilder

java.lang.Object
org.apache.lucene.sandbox.search.DocValuesMultiRangeQuery.SortedNumericStabbingBuilder

Enclosing class:
  `DocValuesMultiRangeQuery`

public static class DocValuesMultiRangeQuery.SortedNumericStabbingBuilder extends Object
Builder for creating a multi-range query for stabbing by SortedNumerics or Numerics field values. For the single range it behaves like `SortedNumericDocValuesField.newSlowRangeQuery(String, long, long)`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final List<DocValuesMultiRangeQuery.LongRange>`
  `clauses`
  `protected final String`
  `fieldName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SortedNumericStabbingBuilder(String fieldName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DocValuesMultiRangeQuery.SortedNumericStabbingBuilder`
  `add(long lowerValue, long upperValue)`
  `Query`
  `build()`
  `protected Query`
  `createSortedNumericDocValuesMultiRangeQuery()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### fieldName

    protected final String fieldName

  - ### clauses

    protected final List<DocValuesMultiRangeQuery.LongRange> clauses

- ## Constructor Details

  - ### SortedNumericStabbingBuilder

    public SortedNumericStabbingBuilder(String fieldName)

- ## Method Details

  - ### add

    public DocValuesMultiRangeQuery.SortedNumericStabbingBuilder add(long lowerValue, long upperValue)

  - ### build

    public Query build()

  - ### createSortedNumericDocValuesMultiRangeQuery

    protected Query createSortedNumericDocValuesMultiRangeQuery()